Get Log Forwarding Configuration

Get Log Forwarding Configuration
Get log forwarding configuration

Returns log forwarding configuration.

Request
URI
GET
https://{api_host}/suite-api/api/logs/forwarding
COPY
Authentication
This operation uses the following authentication methods.
Responses
200

The log forwarding configuration data

Returns log-forwarding-configuration of type(s) application/json
"{\n  \"enabled\" : true,\n  \"entities\" : [ \"ANALYTICS\", \"COLLECTOR\", \"WEB\", \"GEMFIRE\", \"VIEW_BRIDGE\", \"VCOPS_BRIDGE\", \"SUITEAPI\", \"ADMIN_UI\", \"TOMCAT_WEBAPP\", \"CALL_STACK\" ],\n  \"host\" : \"10.11.12.13\",\n  \"protocol\" : \"CFAPI\",\n  \"useSSL\" : false,\n  \"cluster\" : \"single\"\n}"
string
cluster
Required  

The name of the cluster

boolean
enabled
Optional

Indicates whether the logs should go to external log server or not

array of string
entities
Required  

Entities to forward the logs from

Enumeration: ANALYTICS, COLLECTOR, WEB, GEMFIRE, VIEW_BRIDGE, VCOPS_BRIDGE, SUITEAPI, ADMIN_UI, TOMCAT_WEBAPP, VPOSTGRES, WATCHDOG, UPGRADE, CALL_STACK, OTHER
string
host
Required  

The host to forward the logs to

integer As int32 As int32
port
Optional

The Forwarding port


The port takes default value based on the protocol and whether SSL is enabled or not:
Protocol CFAPI, SSL disabled, Default port: 9000
Protocol CFAPI, SSL enabled, Default port: 9543
Protocol SYSLOG, SSL disabled, Default port: 514
Protocol SYSLOG, SSL enabled, Default port: 6514

string
protocol
Required  

Enumeration of the forwarding protocols

Enumeration: CFAPI, SYSLOG, UNKNOWN
string
sslCertPath
Optional

The path to certificate authority file

boolean
useSSL
Optional

Flag that indicates whether SSL protocol is used or not


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/suite-api/api/logs/forwarding